curl --request PATCH \
--url https://api-sandbox.synctera.com/v0/cash/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"destination_account_id": "fccb4a46-1261-4e91-b622-73b5b946183d",
"source_data": {},
"status": "CANCELLED"
}
'import requests
url = "https://api-sandbox.synctera.com/v0/cash/{id}"
payload = {
"destination_account_id": "fccb4a46-1261-4e91-b622-73b5b946183d",
"source_data": {},
"status": "CANCELLED"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
destination_account_id: 'fccb4a46-1261-4e91-b622-73b5b946183d',
source_data: {},
status: 'CANCELLED'
})
};
fetch('https://api-sandbox.synctera.com/v0/cash/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-sandbox.synctera.com/v0/cash/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'destination_account_id' => 'fccb4a46-1261-4e91-b622-73b5b946183d',
'source_data' => [
],
'status' => 'CANCELLED'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api-sandbox.synctera.com/v0/cash/{id}"
payload := strings.NewReader("{\n \"destination_account_id\": \"fccb4a46-1261-4e91-b622-73b5b946183d\",\n \"source_data\": {},\n \"status\": \"CANCELLED\"\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api-sandbox.synctera.com/v0/cash/{id}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"destination_account_id\": \"fccb4a46-1261-4e91-b622-73b5b946183d\",\n \"source_data\": {},\n \"status\": \"CANCELLED\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api-sandbox.synctera.com/v0/cash/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"destination_account_id\": \"fccb4a46-1261-4e91-b622-73b5b946183d\",\n \"source_data\": {},\n \"status\": \"CANCELLED\"\n}"
response = http.request(request)
puts response.read_body{
"amount": 10000,
"dc_sign": "DEBIT",
"effective_date": "2022-03-18",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"is_same_day": true,
"reference_id": 123456789,
"status": "POSTED",
"subtype": "CASH_ORDER",
"tenant_id": "abcdef_ghijkl",
"source_data": {},
"client_bank_account": 123456789,
"client_name": "Fintech A",
"customer_id": "46fec39e-e776-4571-bf90-d0e1d15172fe",
"destination_account_id": "fccb4a46-1261-4e91-b622-73b5b946183d",
"destination_account_number": 1344012344,
"destination_account_owner_name": "<string>",
"failed": false,
"history": [
{
"data": {},
"message": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}
],
"network_status": "POSTED",
"original_reference_id": 123456788,
"originating_account_id": "b01db9c7-78f2-4a99-8aca-1231d32f9b96",
"originating_account_number": 1961234745,
"originating_account_owner_name": "<string>",
"posting_date": "2022-03-18",
"suspended": false,
"transaction_id": "45b5246f-ad97-4629-9aac-465b74a05505"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}Update a cash transfer
To cancel a transfer, update the status to ‘CANCELLED’. Only ‘INITIATED’ or ‘PENDING` transfers can be cancelled.
🚧 Alpha > This is an Alpha spec-only endpoint. Feedback from the community is welcome. We may make breaking changes.
curl --request PATCH \
--url https://api-sandbox.synctera.com/v0/cash/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"destination_account_id": "fccb4a46-1261-4e91-b622-73b5b946183d",
"source_data": {},
"status": "CANCELLED"
}
'import requests
url = "https://api-sandbox.synctera.com/v0/cash/{id}"
payload = {
"destination_account_id": "fccb4a46-1261-4e91-b622-73b5b946183d",
"source_data": {},
"status": "CANCELLED"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
destination_account_id: 'fccb4a46-1261-4e91-b622-73b5b946183d',
source_data: {},
status: 'CANCELLED'
})
};
fetch('https://api-sandbox.synctera.com/v0/cash/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-sandbox.synctera.com/v0/cash/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'destination_account_id' => 'fccb4a46-1261-4e91-b622-73b5b946183d',
'source_data' => [
],
'status' => 'CANCELLED'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api-sandbox.synctera.com/v0/cash/{id}"
payload := strings.NewReader("{\n \"destination_account_id\": \"fccb4a46-1261-4e91-b622-73b5b946183d\",\n \"source_data\": {},\n \"status\": \"CANCELLED\"\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api-sandbox.synctera.com/v0/cash/{id}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"destination_account_id\": \"fccb4a46-1261-4e91-b622-73b5b946183d\",\n \"source_data\": {},\n \"status\": \"CANCELLED\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api-sandbox.synctera.com/v0/cash/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"destination_account_id\": \"fccb4a46-1261-4e91-b622-73b5b946183d\",\n \"source_data\": {},\n \"status\": \"CANCELLED\"\n}"
response = http.request(request)
puts response.read_body{
"amount": 10000,
"dc_sign": "DEBIT",
"effective_date": "2022-03-18",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"is_same_day": true,
"reference_id": 123456789,
"status": "POSTED",
"subtype": "CASH_ORDER",
"tenant_id": "abcdef_ghijkl",
"source_data": {},
"client_bank_account": 123456789,
"client_name": "Fintech A",
"customer_id": "46fec39e-e776-4571-bf90-d0e1d15172fe",
"destination_account_id": "fccb4a46-1261-4e91-b622-73b5b946183d",
"destination_account_number": 1344012344,
"destination_account_owner_name": "<string>",
"failed": false,
"history": [
{
"data": {},
"message": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}
],
"network_status": "POSTED",
"original_reference_id": 123456788,
"originating_account_id": "b01db9c7-78f2-4a99-8aca-1231d32f9b96",
"originating_account_number": 1961234745,
"originating_account_owner_name": "<string>",
"posting_date": "2022-03-18",
"suspended": false,
"transaction_id": "45b5246f-ad97-4629-9aac-465b74a05505"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}Authorizations
Headers
An idempotency key is an arbitrary unique value generated by client to detect subsequent retries of the same request. It is recommended that a UUID or a similar random identifier be used as an idempotency key. A different key must be used for each request, unless it is a retry.
"7d943c51-e4ff-4e57-9558-08cab6b963c7"
Body
Properties of the Cashier transfer to update.
Properties for updating a transfer
Response
The updated Cashier transfer.
Cash transfer
The status of the transfer in the Synctera platform. This is automatically set upon the creation of a transfer. To cancel a transfer, the current status must be 'INITIATED' or 'PENDING' and the request status set to 'CANCELLED'. To trigger a return, the current status must be 'POSTED' and the returned status will be set to 'RETURNED' if successful.
CANCELLED, EXPIRED, INITIATED, PENDING, POSTED "POSTED"
The UUID of the Synctera account that is the destination of the transfer. For a transfer originated by the Synctera platform, this will be an external account resource, while for a transfer originated by the external account, this account will be an account resource.
"fccb4a46-1261-4e91-b622-73b5b946183d"
The UUID of the Synctera account that is the origination of the transfer. For a transfer originated by the Synctera platform, this will be an account resource, while for a transfer originated by the external account, this will be an external account resource.
"b01db9c7-78f2-4a99-8aca-1231d32f9b96"
Was this page helpful?

